com.hazelcast.org.snakeyaml.engine.v1.api.lowlevel

## Class Compose

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.api.lowlevel.Compose

-     public class Compose
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compose(LoadSettings settings)` Create instance with provided `LoadSettings`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Node>` | `composeAllFromInputStream(InputStream yaml)` Parse all YAML documents in a stream and produce corresponding representation trees.
    `Iterable<Node>` | `composeAllFromReader(Reader yaml)` Parse all YAML documents in a stream and produce corresponding representation trees.
    `Iterable<Node>` | `composeAllFromString(String yaml)` Parse all YAML documents in a stream and produce corresponding representation trees.
    `Optional<Node>` | `composeInputStream(InputStream yaml)` Parse a YAML stream and produce `Node`
    `Optional<Node>` | `composeReader(Reader yaml)` Parse a YAML stream and produce `Node`
    `Optional<Node>` | `composeString(String yaml)` Parse a YAML stream and produce `Node`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Compose

          public Compose(LoadSettings settings)

      Create instance with provided `LoadSettings`
      Parameters:
        `settings` - - configuration

  - ### Method Detail

    - #### composeReader

          public Optional<Node> composeReader(Reader yaml)

      Parse a YAML stream and produce `Node`
      Parameters:
        `yaml` - - YAML document(s). Since the encoding is already known the BOM must not be present (it will be parsed as content)
      Returns:
        parsed `Node` if available
      See Also:
        Processing Overview

    - #### composeInputStream

          public Optional<Node> composeInputStream(InputStream yaml)

      Parse a YAML stream and produce `Node`
      Parameters:
        `yaml` - - YAML document(s). Default encoding is UTF-8. The BOM must be present if the encoding is UTF-16 or UTF-32
      Returns:
        parsed `Node` if available
      See Also:
        Processing Overview

    - #### composeString

          public Optional<Node> composeString(String yaml)

      Parse a YAML stream and produce `Node`
      Parameters:
        `yaml` - - YAML document(s).
      Returns:
        parsed `Node` if available
      See Also:
        Processing Overview

    - #### composeAllFromReader

          public Iterable<Node> composeAllFromReader(Reader yaml)

      Parse all YAML documents in a stream and produce corresponding representation trees.
      Parameters:
        `yaml` - stream of YAML documents
      Returns:
        parsed root Nodes for all the specified YAML documents
      See Also:
        Processing Overview

    - #### composeAllFromInputStream

          public Iterable<Node> composeAllFromInputStream(InputStream yaml)

      Parse all YAML documents in a stream and produce corresponding representation trees.
      Parameters:
        `yaml` - - YAML document(s). Default encoding is UTF-8. The BOM must be present if the encoding is UTF-16 or UTF-32
      Returns:
        parsed root Nodes for all the specified YAML documents
      See Also:
        Processing Overview

    - #### composeAllFromString

          public Iterable<Node> composeAllFromString(String yaml)

      Parse all YAML documents in a stream and produce corresponding representation trees.
      Parameters:
        `yaml` - - YAML document(s).
      Returns:
        parsed root Nodes for all the specified YAML documents
      See Also:
        Processing Overview

Copyright © 2019. All rights reserved.